#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  AppStream-1.1.2

- Next

  Apr-1.7.6

- Up
- Home

# appstream-glib-0.8.3

## Introduction to appstream-glib

The appstream-glib provides GObjects and helper methods to make it easy to read and write AppStream metadata. It also provides a simple DOM (Document Object Model) implementation that makes it easy to edit nodes and convert to and from the standardized XML representation.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-0.8.3.tar.xz

- Download MD5 sum: 2ffd46eff1c16f31e435849b706c2287

- Download size: 2.2 MB

- Estimated disk space required: 15 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### appstream-glib Dependencies

#### Required

cURL-8.19.0, gdk-pixbuf-2.44.6, GTK-3.24.52, JSON-GLib-1.10.8, libarchive-3.8.7, and libyaml-0.2.5

#### Optional

docbook-xml-4.5, docbook-xsl-nons-1.79.2, GTK-Doc-1.36.1, and libxslt-1.1.45

## Installation of appstream-glib

Install appstream-glib by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D rpm=false        &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: appstream-builder, appstream-compose, and appstream-util
Installed Libraries: libappstream-glib.so
Installed Directories: /usr/include/libappstream-glib, /usr/lib/asb-plugins-5, and /usr/share/installed-tests/appstream-glib

### Short Descriptions

appstream-builder | builds AppStream metadata
appdata-compose | generates AppStream metadata
appstream-util | Is a management tool for appstream-builder
`libappstream-glib.so` | contains the API functions

- Prev

  AppStream-1.1.2

- Next

  Apr-1.7.6

- Up
- Home